{
   {{DEBUG}} console.log('starting injecting css rules');
   var selectors = JSON.parse({{BRIDGE}}.getElemhideSelectors());
   {{DEBUG}} console.log('parsed selectors: ' + selectors.length);
   var head = document.getElementsByTagName("head")[0];
   var style = document.createElement("style");
   head.appendChild(style);
   var hideCount = 0;
   var sheet = style.sheet ? style.sheet : style.styleSheet;
   for (var i=0; i<selectors.length; i++)
   {
     var selector = selectors[i];
     if (sheet.insertRule)
     {
       sheet.insertRule(selector + ' { display: none !important; }', 0);
     }
     else
     {
       sheet.addRule(selector, 'display: none !important;', 0);
     }

     if (selector[0] == '#')
     {
       var element = document.getElementById(selector.substr(1));
       if (element != undefined)
       {
         hideCount++;
       };
     }
     else
     {
       var elements = document.getElementsByClassName(selector.substr(1));
       hideCount += elements.length;
     };
   }
   {{BRIDGE}}.setHideElementCount(hideCount);
   {{DEBUG}} console.log('finished injecting css rules');
}